
.. _git_think:

====================================
Git shouldn't be so hard to learn
====================================

- https://think-like-a-git.net/


Introduction
================

When you're just getting started, something as straightforward as a merge
can be terrifying.

It can take a long time to really become comfortable using some of Git's
more advanced features. (It took me a year or two.)

Once people achieve some level of Git enlightenment, they tend to make
statements of the form 'Git gets a lot easier once you realize X' -- but
that doesn't do much for people staring up Git's steep learning curve.

My goal with this site is to help you, Dear Reader, understand what
those smug bastards are talking about.
